.search-form {
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 14px !important;
}

input {
    width: 23rem;
    background-color: var(--input-color) !important;
    border: 1px solid #6969695c;
    border-radius: 14px !important;
    outline: none !important;
    padding: .65rem;
    padding-left: 2rem;
    font-size: 16px;
    font-family: "shabnam-light";
    box-shadow: 0 0 8px var(--collapse-bshadow);
    transition: border 150ms ease-in-out,
        box-shadow 450ms ease-in-out;
}

input:focus,
textarea:focus {
    border: 1px solid #000000f2 !important;
    box-shadow: 0 0 8px var(--input-border) !important;
}

textarea {
    transition: border 150ms ease-in-out,
        box-shadow 450ms ease-in-out;
}

input::placeholder,
textarea::placeholder {
    font-family: "shabnam-light";
    user-select: none;
    color: var(--li-color);
}

input {
    color: var(--li-color);
}

input::-moz-placeholder,
textarea::-moz-placeholder {
    font-family: "shabnam-light";
    user-select: none;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    font-family: "shabnam-light";
    user-select: none;
}

.remains-holder {
    direction: ltr;
    left: -2px;
    position: absolute;
    bottom: -.25rem;
    width: 100%;
    height: .25rem;
    background-color: var(--remains-holder-bg);
    z-index: 10001;
    opacity: 1;
    visibility: visible;
}

.remains.hidden,
.remains-holder.hidden {
    opacity: 0;
    visibility: hidden;
}

.remains {
    direction: ltr;
    left: -2px;
    position: absolute;
    bottom: -.25rem;
    width: 0%;
    height: .25rem;
    background-color: var(--primary-color);
    z-index: 10001;
    box-shadow: 0 0 2px var(--primary-color);
    border-top-right-radius: 9999px;
    border-bottom-right-radius: 9999px;
    transition: width 150ms cubic-bezier(0.1, 0, 0.2, 1),
        opacity 150ms ease-in-out,
        visibility 150ms ease-in-out;
    opacity: 1;
    visibility: visible;
}

.section #request-learn {
    width: 9rem;
    margin-top: 2rem;
    font-size: 14px;
}

.search-btn {
    display: flex;
    position: absolute;
    background-color: transparent;
    margin-left: 4px;
}

.search-btn svg {
    width: 2rem;
}

.learn-center {
    display: flex;
    width: 84dvw;
    gap: 3rem;
    flex-flow: row wrap;
    align-items: center;
    border: 1.25px solid var(--section-border);
    border-radius: 20px !important;
    justify-content: center;
    background-color: var(--section-bg);
    box-shadow: 0 0 8px var(--section-bshadow);
    margin: 0 auto;
    padding: 1rem;
    transition: transform 750ms ease-in-out,
        opacity 350ms ease-in-out;
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
    margin-bottom: 3rem;
    padding-top: 3rem;
    padding-bottom: 7rem !important;
    user-select: none;
}

.learn-center.pre-hidden {
    opacity: 0;
    visibility: hidden;
    transform: translateX(10px);
}

.learn {
    display: flex;
    position: relative;
    flex-flow: column wrap;
    width: 18rem;
    height: 29rem;
    background-color: var(--section-bg);
    box-shadow: 0 0 8px var(--learn-bshadow);
    border-radius: 11px;
    transition: box-shadow 350ms ease-in-out;
    gap: 0.75rem;
}

.learn:hover {
    box-shadow: 0 0 8px var(--learn-bshadow-hover);
}

.learn-img {
    display: block;
    width: 100%;
    height: 240px;
    border-radius: 11px;
    border-bottom-left-radius: 15px;
    user-select: none;
    border-bottom-right-radius: 15px;
    object-fit: cover;
}

.learn-title {
    width: 85%;
    text-align: center;
    margin: 0 auto;
    font-size: 20px;
    font-weight: bold;
    line-clamp: 1;
    -webkit-line-clamp: 1 !important;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    color: var(--li-color);
}

.learn-text {
    width: 100%;
    text-align: justify;
    margin: 0 auto;
    font-size: 16px;
    padding: 0 1.5rem;
    line-clamp: 3;
    -webkit-line-clamp: 3 !important;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    color: var(--li-color);
}

.open-learn-btn {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    gap: 0.5rem;
    align-items: center;
    position: absolute;
    width: 100%;
    bottom: 0;
    height: 3.2rem;
    background-color: var(--primary-color);
    border-radius: 11px;
    border-top-left-radius: 0;
    color: var(--text-color);
    border-top-right-radius: 0;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 350ms ease-in-out;
}

.open-learn-btn:active,
.open-learn-btn:hover {
    background-color: var(--learn-btn-hover);
}

.open-learn-btn svg {
    width: 1.85rem;
}

.row {
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    justify-content: space-between;
    padding: 0 1.5rem;
    color: var(--li-color);
}

.row2 {
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    justify-content: flex-start;
    padding: 0 1.5rem;
    color: var(--li-color);
    gap: 6px;
    transform: translateY(-0.4rem);
}

.row2 button {
    width: 1.25rem;
    background-color: transparent;
    cursor: pointer;
    color: var(--li-color);
}

.likes-count-btn svg {
    transition: color 150ms ease-in-out;
}

.likes-count-btn:hover svg,
.likes-count-btn:active svg {
    color: #eb2026;
}

.likes-count-btn svg.liked {
    color: #eb2026;
}

.comments-count-btn svg {
    transition: color 150ms ease-in-out;
}

.comments-count-btn:hover svg,
.comments-count-btn:active svg {
    color: #da07ff;
}

.pagination {
    position: absolute;
    bottom: 1rem;
    display: flex;
    list-style-type: none;
    flex-flow: row-reverse wrap;
    gap: 2rem;
    border: none;
    outline: none;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

.xl-new {
    width: 45%;
}

.author {
    color: var(--li-color);
}

.author-alt {
    color: #c300ff;
}

.mag-categoryx {
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    color: var(--li-color);
    border-radius: 4px;
    background-color: #00c3ff20;
    outline: 1px solid #00f2ff;
    font-size: 14px;
    padding: 2px 4px;
}

.row-z {
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    justify-content: space-between;
    width: 85%;
    margin-top: 1rem;
}

.mag-readtimex {
    text-align: center;
    color: var(--li-color);
}

.cms-container {
    display: flex;
    flex-flow: row wrap;
    align-items: flex-start;
    position: relative;
    justify-content: space-between;
    width: 100%;
}

.cms-container .text {
    position: relative;
    display: flex;
    flex: 1 1 500px;
    min-width: 0;
    max-width: 95%;
}

@media (max-width: 1200px) {
    .cms-container:not(:has(.learn-img-details)) .text {
        flex: 0 0 95%;
        max-width: 95%;
    }

    .cms-container:has(.learn-img-details) .text {
        flex: 0 0 95% !important;
        max-width: 95% !important;
    }
}

.cms-container.img-only .learn-img-details {
    justify-content: center;
    display: flex;
    margin: 0 auto;
    align-items: center;
    flex: 0 0 600px;
    max-width: 600px;
    height: 350px;
}

.cms-container:not(:has(.learn-img-details)) .text {
    flex: 0 0 95%;
    max-width: 95%;
}

.cms-container:has(.learn-img-details) .text {
    flex: 0 0 45%;
    max-width: 45%;
}

.cms-container:has(.learn-img-details) .learn-img-details {
    margin-bottom: 2rem !important;
}

.cms-container .learn-img-details {
    display: flex;
    flex: 0 0 600px;
    max-width: 600px;
    height: 350px;
}

.pagination li {
    color: var(--li-color);
}

.page {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    font-size: 16px;
    border-radius: 100%;
    aspect-ratio: 1/1;
    padding: .15rem .75rem;
    font-weight: bold;
    border: 2px solid #00aaff;
    background-color: #00aaff27;
    color: var(--li-color);
    cursor: pointer;
    transition: box-shadow 150ms ease-in-out,
        background-color 150ms ease-in-out;
}

.page:hover {
    box-shadow: 0 0 8px var(--learn-bshadow-hover);
    background-color: #00aaff9f;
}

.page.active {
    background-color: #00aaff;
    color: var(--text-color);
    border: 2px solid var(--li-color);
}

.learn-img-details {
    width: 90%;
    height: 520px;
    margin: 0 auto;
    margin-top: 1.25rem;
    display: block;
    border-radius: 24px;
    border: 1px solid var(--section-border);
    box-shadow: 0 0 8px var(--section-bshadow);
}

.xl {
    width: 80%;
}

.real-pass {
    user-select: none;
}

.like-box {
    display: flex;
    flex-flow: column wrap;
    width: 100%;
    padding: 0 2rem;
    user-select: none;
}

.row3 {
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    gap: .15rem;
}

.likes-count {
    margin-right: .35rem;
}

footer .line {
    margin-top: 1rem !important;
}

.time {
    color: var(--li-color);
    display: block;
    margin-left: auto;
    margin-top: 0.5rem;
}

.empty {
    color: var(--li-color);
    background-color: #eb202710;
    border: 2px solid #eb2027;
    border-radius: 10px;
    font-size: 18px;
    padding: 1rem;
    min-width: 55%;
    max-width: 95%;
    text-align: center;
    margin: 0 auto;
    margin-bottom: -4rem !important;
}

.empty-mag {
    padding-bottom: 4.5rem !important;
}

.text+.section {
    background-color: transparent !important;
    box-shadow: none !important;
    border: none !important;
    margin-left: auto;
    margin-right: auto;
    margin-top: -2rem;
    margin-bottom: -2rem;
}

.section .collapses {
    width: 90%;
}

.download {
    width: 60%;
    border-radius: 8px;
    background-color: transparent !important;
    border: 1px solid #00d0ff;
    border: none !important;
    margin-left: auto;
    margin-right: auto;
    border-top-left-radius: 64px !important;
    border-bottom-right-radius: 64px !important;
    border-radius: 0;
    padding: 1rem 0;
}

.download-items {
    width: 100%;
    display: flex;
    flex-flow: column wrap;
    margin: 0 auto;
}

.download-links {
    display: flex;
    flex-flow: column wrap;
    gap: 8px;
    align-items: center;
    margin-top: 1rem !important;
    margin: 0 auto;
}

.download-items a {
    text-decoration: none;
    color: var(--li-color);
}

.download-btn {
    padding: 4px 1rem;
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: .35rem;
    cursor: pointer;
    background-color: transparent;
    border: 2px solid var(--download-btn-bg);
    color: var(--li-color);
    border-radius: 4px;
    transition: background-color 450ms ease-in-out,
        border-radius 450ms ease-in-out,
        color 450ms ease-in-out;
}

.download-btn:hover {
    background-color: var(--li-color);
    color: var(--text-color);
    border-radius: 8px;
}

.download-btn:hover svg {
    color: #ff0000;
    transform: rotateY(180deg);
}

.download-btn svg {
    background-color: #181818;
    border-radius: 4px;
    color: #00eeff;
    width: 1.5rem;
    padding: 2px;
    transition: color 250ms ease-in-out,
        transform 750ms ease-in-out;
}

.mark {
    background-color: #ff00000e;
    border: 1px solid red;
    border-radius: 6px;
    cursor: pointer;
    width: 100%;
    margin: 1rem auto;
}

.faq-title {
    font-weight: bold !important;
}

.download-pass {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 8px;
    width: auto;
    padding: 8px;
    background-color: transparent;
    cursor: pointer;
    color: var(--li-color);
}

.download-pass svg {
    color: #ff0000;
    width: 1.5rem;
}

.collapse {
    user-select: none;
}

.collapse .text {
    text-align: inherit !important;
    overflow-wrap: inherit !important;
    white-space: inherit !important;
    margin: inherit !important;
}

.counters {
    color: var(--li-color);
    display: flex;
    flex-flow: row-reverse wrap;
    align-items: center;
    margin-left: auto;
    margin-top: 0.25rem;
}

.counters button {
    width: 1.25rem;
    background-color: transparent;
    cursor: pointer;
    color: var(--li-color);
}

.text:not(footer .text):not(.collapse .text):not(.guide .text):not(.magazines .text) {
    color: var(--li-color);
    text-align: justify;
    overflow-wrap: break-word;
    white-space: pre-wrap;
    word-break: break-word;
    line-height: 36px;
    padding: 0 1rem;
    margin: 2rem auto !important;
}

.comments-title {
    background-color: transparent;
    background: linear-gradient(280deg, var(--comments-title));
}

.disabled {
    color: #fff;
    font-size: 15px !important;
    width: 70%;
    background: linear-gradient(45deg, var(--comments-disabled));
}

.comments,
.comments-answer {
    display: flex;
    width: 60%;
    flex-flow: column wrap;
    margin: 1.75rem auto;
    border: 0.1px solid var(--comments-border);
    border-radius: 20px;
    padding: .5rem 1rem;
}

.comments-answer {
    width: 100% !important;
    border: 1px dashed #eb2026 !important;
    background-color: #ff00000a !important;
}

.comments svg {
    width: 2.25rem;
    background-color: #00000022;
    aspect-ratio: 1/1;
    border-radius: 100%;
}

.username {
    color: var(--li-color);
}

.comments .row {
    display: flex;
    flex-flow: row-reverse wrap;
    justify-content: center;
    align-items: center;
    margin-right: auto;
    margin-left: -1.7rem;
    gap: 8px;
}

.comment {
    color: var(--li-color);
    text-align: justify;
    overflow-wrap: break-word;
    white-space: pre-wrap;
    word-break: break-word;
    margin-top: 1rem;
}

.replay-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: auto;
    margin-bottom: 1rem;
    color: var(--li-color);
    border: 1.5px solid #00d0ff;
    background-color: #00d0ff17;
    border-radius: 12px;
    padding: 4px 0;
    width: 4rem;
    cursor: pointer;
    transition: background-color 350ms ease-in-out,
        color 350ms ease-in-out;
}

.admin {
    background-color: #ff9d00c3;
    color: #000;
    padding: 2px 4px;
    border-radius: 6px;
}

.replay-btn:active {
    background-color: #00d0ff;
    color: var(--text-color);
}

.time-comment {
    color: var(--li-color);
    margin-right: auto !important;
}

.send-comment {
    display: flex;
    flex-flow: column wrap;
    width: 100%;
}

.send-comment .title {
    margin: 0 auto;
    text-align: center;
}

#id_comment_text {
    display: flex;
    margin-top: 1rem !important;
    justify-content: center;
    margin: 0 auto;
    color: var(--li-color);
    box-shadow: 0 0 8px var(--);
    width: 20rem;
    background-color: var(--input-color);
    border: 1px solid #6969695c;
    border-radius: 8px;
    box-shadow: 0 0 8px var(--collapse-bshadow);
    transition: outline 150ms ease-in-out,
        box-shadow 450ms ease-in-out;
    padding-top: .85rem;
    padding-left: .85rem;
    padding-right: .85rem;
    height: 180px;
    resize: vertical;
}

.comment-btn {
    padding: 14px 0;
    width: 20rem;
    margin: 0 auto;
    margin-top: 1rem !important;
    color: #fff;
    font-weight: bold;
    font-size: 18px;
    background: #08e460;
    cursor: pointer;
    border-radius: 4px;
    box-shadow: 0 0 8px #0e0e0e48;
    transition: background 300ms ease-in-out,
        border-radius 300ms ease-in-out;
}

.comment-btn:hover {
    background: #07bb4f;
    border-radius: 8px;
}

.replay-symbol {
    font-size: 20px;
    color: var(--li-color);
}

@media (max-width: 1256px) {
    .cms-container {
        flex-flow: column-reverse wrap;
    }

    .cms-container {
        display: flex;
        align-items: flex-start;
        position: relative;
        justify-content: space-between;
        width: 100%;
    }

    .cms-container .text {
        display: flex;
        flex: inherit;
        max-width: 95%;
    }

    .cms-container .learn-img-details {
        display: flex;
        flex: 0 0 880px;
        max-width: 880px;
        max-height: 500px !important;
    }
}

@media (max-width: 1098px) {
    .row-z {
        width: 77%;
    }
}

@media only screen and (max-width: 1001px) {
    .learn-img-details {
        width: 60%;
        height: 320px;
        margin: 0 auto;
        margin-top: 2.5rem;
        display: block;
        border-radius: 24px;
        outline: 1px solid var(--section-border);
        box-shadow: 0 0 8px var(--section-bshadow);
    }

    .cms-container.img-only .learn-img-details {
        justify-content: center;
        display: flex;
        margin: 0 auto;
        align-items: center;
        flex: 0 0 1000px;
        max-width: 1000px;
        height: 350px;
    }

    .cms-container .learn-img-details {
        display: flex;
        flex: 0 0 780px;
        max-width: 780px;
        max-height: 350px !important;
    }
}

@media only screen and (max-width: 831px) {
    .learn-center {
        width: 94dvw;
    }

    .comments {
        width: 85% !important;
    }
}

@media (max-width: 760px) {
    .cms-container .learn-img-details {
        display: flex;
        flex: 0 0 100%;
        max-width: 100%;
        max-height: 220px !important;
    }
}

@media only screen and (max-width: 742px) {
    .download {
        width: 85%;
    }

    .learn {
        width: 25rem;
    }

    .learn-img-details {
        width: 80%;
    }

    .comments svg {
        width: 1.5rem;
        height: 1.5rem;
        background-color: #00000022;
        aspect-ratio: inherit;
        border-radius: 100%;
    }

    .comments .username {
        font-size: 18px;
    }
}

@media only screen and (max-width: 551px) {
    .learn-img-details {
        width: 90%;
    }

    .comments {
        width: 90% !important;
    }

    .cms-container.img-only .learn-img-details {
        justify-content: center;
        display: flex;
        margin: 0 auto;
        align-items: center;
        flex: 0 0 90%;
        max-width: 90%;
        height: 280px;
    }
}


@media only screen and (max-width: 518px) {
    .learn-img {
        height: 205px;
    }

    .learn {
        width: 18rem;
        height: 27rem;
    }

    .row {
        justify-content: space-between !important;
        flex: 0 1 0 !important;
    }

    input {
        width: 18rem;
    }

    .time-comment {
        font-size: 14px;
    }
}

@media only screen and (max-width: 501px) {
    .line {
        margin-top: 1rem !important;
    }
}

@media only screen and (max-width: 499px) {
    .collapses {
        margin: 0 auto;
    }

    .row-z {
        width: 80%;
    }
}

@media only screen and (max-width: 468px) {
    .title {
        font-size: 20px;
    }

    .like-box {
        margin: 0 auto !important;
        gap: 1rem;
    }

    .author {
        margin: 0 auto;
        text-align: center;
    }

    .time {
        margin: 0 auto;
    }

    .counters {
        margin: 0 auto !important;
    }
}

@media only screen and (max-width: 451px) {
    .learn-img-details {
        width: 90%;
        height: 240px;
    }
    .download-links {
        align-items: center !important;
    }
}

@media only screen and (max-width: 432px) {
    .pagination {
        gap: 1rem !important;
    }

    .page {
        font-size: 16px;
    }

    .learn {
        height: 28.2rem;
    }

    .learn-img-details {
        width: 90%;
        height: 187px !important;
    }

    .download {
        width: 95%;
    }

    .comments .comment {
        font-size: 15px;
    }

    .comments {
        width: 95% !important;
    }

    .xl {
        font-size: 17px;
        padding: 0.5rem 0.25rem;
    }
    
    .collapse .text {
        top: 4rem !important;
    }

    .open-learn-btn {
        height: 3rem !important;
    }
}

@media only screen and (max-width: 401px) {
    #id_comment_text {
        width: 85%;
    }

    .comment-btn {
        width: 85%;
    }

    .row-z {
        width: 80%;
    }
}

@media only screen and (max-width: 364px) {
    .learn-img-details {
        width: 90%;
        height: 180px;
    }

    .learn {
        width: 100%;
    }
}

@media only screen and (max-width: 356px) {
    input {
        width: 16rem;
    }
}

@media only screen and (max-width: 349px) {

    .download-btn,
    .download-pass {
        width: 220px;
        font-size: 12px;
    }

    .download-btn svg {
        width: 1rem;
    }

    .download .title {
        width: 90%;
    }
}

@media only screen and (max-width: 330px) {
    .pagination {
        gap: .75rem !important;
    }

    .page {
        font-size: 14px;
    }
}